[arch-commits] Commit in xemacs/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri May 8 16:31:09 EDT 2009


    Date: Friday, May 8, 2009 @ 16:31:09
  Author: jgc
Revision: 38510

Merged revisions 38509 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xemacs/trunk

........
  r38509 | jgc | 2009-05-08 20:30:53 +0000 (Fri, 08 May 2009) | 4 lines
  
  upgpkg: xemacs 21.5.28-8
      Add desktop-file-utils dependency
  Replace xaw3d with libxaw
  Add optdepends for some bitmap fonts
........

Modified:
  xemacs/repos/extra-x86_64/	(properties)
  xemacs/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   33 +++++++++++++++++----------------
 1 file changed, 17 insertions(+), 16 deletions(-)


Property changes on: xemacs/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /xemacs/trunk:1-21763
   + /xemacs/trunk:1-38509
Deleted: svn:mergeinfo
   - 

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-08 20:30:53 UTC (rev 38509)
+++ extra-x86_64/PKGBUILD	2009-05-08 20:31:09 UTC (rev 38510)
@@ -3,47 +3,48 @@
 
 pkgname=xemacs
 pkgver=21.5.28
-pkgrel=7
+pkgrel=8
 pkgdesc="highly customizable open source text editor and application development system forked from GNU Emacs"
 arch=(i686 x86_64)
 url="http://www.xemacs.org/"
 license=('GPL')
-depends=('db>=4.7' 'libpng' 'libtiff' 'gpm>=1.20.4' 'bash' 'xaw3d>=1.5E' 'ncurses>=5.6-7')
+depends=('db>=4.7' 'libpng' 'libtiff' 'gpm>=1.20.4' 'bash' 'ncurses>=5.6-7' 'desktop-file-utils' 'libxaw')
+optdepends=('xorg-fonts-75dpi : X bitmap fonts needed for the interface'
+            'xorg-fonts-100dpi: X bitmap fonts needed for the interface') 
 makedepends=('giflib' 'xbitmaps')
 install=xemacs.install
 source=(http://ftp.xemacs.org/pub/xemacs/beta/$pkgname-$pkgver.tar.gz xemacs.desktop)
 md5sums=('12e35715c5239c63651a8189973527ab' 'a4d3d5c0aa2c7ce7bec491f809ca3694')
        
 build() {
-  cd $startdir/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   infodir=/usr/share/info
   mandir=/usr/share/man/man1
-  ./configure --build=$CHOST --prefix=/usr --with-dynamic \
-      --with-x11 --without-postgresql --with-athena=3d \
+  ./configure --build="${CHOST}" --prefix=/usr --with-dynamic \
+      --with-x11 --without-postgresql --with-athena=xaw \
       --enable-database=berkdb --without-ldap \
       --enable-menubars=lucid --enable-scrollbars=lucid \
       --enable-widgets=athena --enable-dialogs=athena \
       --enable-external-widget \
       --with-jpeg --with-png --with-tiff \
       --with-ncurses --with-pop --with-xfs --disable-sound \
-      --infodir=$infodir \
-      --mandir=$mandir || return 1
+      --infodir=${infodir} \
+      --mandir=${mandir} || return 1
 
   make || return 1
-#  make autoloads
-  
-  make prefix="$startdir/pkg/usr" mandir="$startdir/pkg$mandir" infodir="$startdir/pkg$infodir" install gzip-el
+  make prefix="${pkgdir}/usr" mandir="${pkgdir}${mandir}" infodir="${pkgdir}${infodir}" install gzip-el || return 1
 
-  rm $startdir/pkg/usr/bin/{b2m,ctags,etags,rcs-checkin}
-  rm $startdir/pkg/usr/share/man/man1/{ctags.1,etags.1}
+  rm ${pkgdir}/usr/bin/{b2m,ctags,etags,rcs-checkin}
+  rm ${pkgdir}/usr/share/man/man1/{ctags.1,etags.1}
 
   # fix  FS#7927
-  mkdir -p $startdir/pkg/usr/share/pixmaps ${startdir}/pkg/usr/share/applications
-  install -D -m644 ${startdir}/src/${pkgname}.desktop   ${startdir}/pkg/usr/share/applications
-  ln -s   ../../lib/xemacs-21.5-b28/etc/xemacs-icon.xpm $startdir/pkg/usr/share/pixmaps/
+  install -d -m755 "${pkgdir}/usr/share/pixmaps"
+  install -d -m755 "${pkgdir}/usr/share/applications"
+  install -m644 "${srcdir}/${pkgname}.desktop" ${pkgdir}/usr/share/applications/ || return 1
+  ln -sf /usr/lib/xemacs-21.5-b28/etc/xemacs-icon.xpm "${pkgdir}/usr/share/pixmaps/" || return 1
 
   # correct permissions
-  chown -R root.root $startdir/pkg
+  chown -R root:root "${pkgdir}"
 
   rm ${pkgdir}/usr/share/info/dir
   gzip ${pkgdir}/usr/share/info/*



More information about the arch-commits mailing list